man(1)

NOMBRE
man - da formato y muestra las páginas del manual en línea
manpath - determina la ruta de búsqueda inicial

SINÓPSIS
man [-acdfhktw] [-m sistema] [-p cadena] [-C fich_config] [-M ruta] [-P paginador] [-S lista_sec] [sección] nombre ...

DESCRIPCIÓN
man da formato y muestra las páginas del manual en línea. Esta versión reconoce las variables de entorno (environment) y (MAN)PAGER (ver más adelante). Si se indica la sección , man buscará únicamente en ella. Es también posible indicar el orden de búsqueda en la secciones y que preprocesamiento efectuar con los manuales, por medio de opciones en la línea de comando o con variables de entorno. Si el nombre contiene el carácter `/' tratará primero un fichero con ese nombre, permitiendo hacer man ./foo.5 o también man /cd/foo/bar.1.gz para dar formato y ver un fichero en particular.

OPCIONES

-C  fich_config
    Indica el fichero de configuración a usar; por defecto se usará /etc/man.conf. (Ver man.conf(5).)

-M  ruta
    Indica la lista de directorios donde buscar los manuales. Sin esta opción se utilizará la variable MANPATH. Si esta variable tampoco estuviera definida, se obtendrá una lista consultando /etc/man.conf. Un directorio vacío en MANPATH representa la lista anterior.

-P  paginador
    Indica que paginador/visualisador usar. Sin esta opción tratará de consultar la variable PAGER. Normalmente, man usará /usr/bin/less -is.

-S  lista_sec
    Da la lista de secciones (separadas por `:') donde buscar y en que orden. Esta opción tiene prioridad sobre la variable MANSECT.

-a  Normalmente man muestra el primer manual que encuentra. Esta opción le permite mostrar todas las páginas de manual encontradas para la entrada nombre.

-d  No muestra el manual, sino información para la depuración de errores.

-f  Equivalente a whatis.

-h  Muestra un breve mensaje de ayuda.

-k  Equivalente a apropos.

-m  sistema
    Indica un conjunto de manuales diferentes aplicables al sistema indicado.

-p  cadena
    Especifica una secuencia de preprocesadores a usar antes de nroff o troff (los formateadores). Algunas instalaciones de Linux pueden no tener todos los preprocesadores. Algunos preprocesadores y las letras a usar para indicarlos son: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Esta opción tiene proridad sobre la variable MANROFFSEQ.

-t  Usar /usr/bin/groff -Tps -mandoc para dar formato a las páginas de manual, efectuándose la salida por stdout Puede ser necesario procesar la salida de este comando con otros filtros para poder visualizarla o imprimirla.

-w o --path
    No muestra las páginas de manual, sino la(s) localización(es) de los ficheros que se hubieran formateado y mostrado, para la entrada de nombre indicado. Si no se da ninguna otra opción muestra la lista de directorios que serían recorrido por .B man durante la búsqueda. Si manpath es un enlace a man, entonces "manpath" equivale a "man --path". -W Como -w, pero muestra los nombres de ficheros, uno por linea, sin ninguna otra información. Muy útil en comandos shell del estilo: man -aW man | xargs ls -l

PÁGINAS FORMATEADAS
Con el fin de ganar tiempo, man trata de guardar la páginas formateadas en vez de interpretarlas cada vez que se las pide. Tradicionalmente, las versiones formateadas de las páginas de REP/manX son guardadas en REP/catX, pero se pueden indicar otras correspondencias entre los directorios man y cat en el fichero /etc/man.conf. Si el directorio «cat» correspondiente no existe, no se guardarán las páginas formateadas. Es posible hacer a man suid para un usuario man. En este caso, si un directorio cat pertenece a man, y tiene el modo 0755 (únicamente man tiene permisos de escritura), y los ficheros cat pertenecen también a man y tiene el modo 0644 ó 0444 (sólo mana tiene permisos de escritura, o nadie los tiene), ningún usuario normal podrá cambiar las páginas formateadas o añadir ficheros al directorio correspondiente. Si man no es suid, los directorios cat deberán tener el modo 0777 para que todo usuario pueda dejar el resultado de los formateos efectuados durante las consutlas del manual.

La opción -c fuerza el reformateo de una página, aunque ya exista un fichero cat más reciente que el fichero fuente.

ENTORNO

MANPATH
    Si se ha definido MANPATH se usará su valor como lista de directorios (manpath) donde pueden estar las entradas del manual.

MANROFFSEQ
    Si se ha definido MANROFFSEQ su valor determinará los preprocesadores a aplicar antes de nroff o troff. Normalmente, las páginas de manual, son preprocesadas por tbl antes de nroff.

MANSECT
    Si se ha definido MANSECT su valor indicará las secciones a recorrer.

PAGER
    Si se ha definido PAGER su valor indicará el programa a usar para mostrar el manual. Normalmente usará /usr/bin/less -is.

LANG
    Si se ha definido LANG su valor indicará el nombre del subdirectorio donde man comenzará la búsqueda de las páginas de manual. Por ejemplo, el comando «LANG=es man 1 pepe» tendrá como efecto de hacer una búsqueda de la página pepe en .../es/man1/pepe.1, y si ese fichero no existe, en .../man1/pepe.1, ( ... indica un directorio en la ruta de búsqueda).

NLSPATH, LC_MESSAGES, LANG
    Las variables de entorno NLSPATH y LC_MESSAGES (o LANG cuando LC_MESSAGES no existe) juegan un papel en la localización del catálogo de mensajes. Nótese que los programas como col(1) que son llamados por man, también utilizan LC_CTYPE.

PATH
    PATH se utiliza para la construcción de la ruta de búsqueda por omisión.

SYSTEM
    SYSTEM se emplea para obtener los sistemas alternativos por omisión (en vista del uso de la opción -m ).

AUTOR
John W. Eaton fue el autor original de man. Zeyd M. Ben-Halim lanzó man 1.2, y Andries Brouwer continuó con las versiones 1.3 a 1.5p. Federico Lucifredi <flucifredi@acm.org> es el encargado actual.

VÉASE TAMBIÉN
apropos(1), whatis(1), less(1), groff(1).

BUGS
-t solo funciona si existe un programa troff o equivalente.

TRADUCCIÓN
Pablo Saratxaga, 1996. A partir de la página en portugués de Vitor Duarte y la página en francés de René Cougnenc. Actualización de Benjamín Albiñana, 2006.